KDE 4.5 PyKDE API Reference

- KDE's Python API

# AbstractDataPluginItem Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble.AbstractDataPluginItem

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals

| updated ()

## Methods

| __init__ (self, QObject parent=0)
QAction | action (self)
| addDownloadedFile (self, QString url, QString type)
float | addedAngularResolution (self)
QString | id (self)
bool | initialized (self)
bool | isGeoProjected (self)
QString | itemType (self)
| setAddedAngularResolution (self, float resolution)
| setId (self, QString id)
| setSettings (self, {QString:QVariant} settings)
| setTarget (self, QString target)
QString | target (self)
| updated (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

QAction action | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the action of this specific item.

addDownloadedFile | ( | self, |
|  | QString | url,
|  | QString | type
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

float addedAngularResolution | ( |  | self ) |

Returning the angular resolution of the viewport when the item was added to it the last time.

QString id | ( |  | self ) |

bool initialized | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool isGeoProjected | ( |  | self ) |

QString itemType | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the type of this specific item.

setAddedAngularResolution | ( | self, |
|  | float | resolution
| ) |  |  |

setId | ( | self, |
|  | QString | id
| ) |  |  |

setSettings | ( | self, |
|  | {QString:QVariant} | settings
| ) |  |  |

Set the settings of the item. This is usually called automatically before painting. If you reimplement this it would be useful to check for changes before copying.

setTarget | ( | self, |
|  | QString | target
| ) |  |  |

QString target | ( |  | self ) |

updated | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updated()"), target_slot)`